<?php

// Если нет id шлем на главную
if (!isset($_GET['news']) && !is_numeric($_GET['news'])) {
    header("Location: index.php?" . SID);
    exit;
}

// Cуществование новости
if (dbresult(dbquery("SELECT COUNT(*) FROM `news` WHERE `id` = '" . intval($_GET['news']) . "' LIMIT 1", $db), 0) == 0) {
    header("Location: index.php?" . SID);
    exit;
}

// Определение записи новости
$news = dbassoc(dbquery("SELECT * FROM `news` WHERE `id` = '" . intval($_GET['news']) . "' LIMIT 1"));

if ($news['tags']) {
    $set['meta_keywords'] = meta_out_keywords(mb_substr($news['tags'], 0, 160));
    $set['meta_description'] = meta_out_description($news['msg']);
}

// Автор новости
$author = get_user($news['id_user']);

// Отмечаем уведомления
if (isset($user)) {
    dbquery("UPDATE `notification` SET `read` = '1' WHERE `type` = 'news_komm' AND `id_user` = '$user[id]' AND `id_object` = '$news[id]'");
}


/* ------------------------Мне нравится------------------------ */
if (isset($user) && isset($_GET['like']) && ($_GET['like'] == 1 || $_GET['like'] == 0) && dbresult(dbquery("SELECT COUNT(*) FROM `like_object` WHERE `id_object` = '$news[id]' AND `type` = 'news' AND `id_user` = '$user[id]'"), 0) == 0) {
    dbquery("INSERT INTO `like_object` (`id_user`, `id_object`, `type`, `like`) VALUES ('$user[id]', '$news[id]', 'news', '" . abs(intval($_GET['like'])) . "')");

    // Начисление баллов за активность
    include_once H . 'sys/add/user.active.php';
}
/* ------------------------------------------------------------ */


// Комментарий 
if (isset($_POST['msg']) && isset($user) && $news['close'] == 0) {
    $msg = $_POST['msg'];

    $mat = antimat($msg);
    if ($mat) {
        $err[] = __('В тексте сообщения обнаружен мат') . ': ' . $mat;
    }


    if (strlen2($msg) > 1024) {
        $err = __('Сообщение слишком длинное');
    } elseif (strlen2($msg) < 2) {
        $err = __('Короткое сообщение');
    } elseif (dbresult(dbquery("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '" . intval($_GET['news']) . "' AND `id_user` = '$user[id]' AND `msg` = '" . my_esc($msg) . "' LIMIT 1"), 0) != 0) {
        $err = __('Ваше сообщение повторяет предыдущее');
    } elseif (!isset($err)) {
        dbquery("INSERT INTO `news_komm` (`id_user`, `time`, `msg`, `id_news`) values('$user[id]', '$time', '" . my_esc($msg) . "', '" . intval($_GET['news']) . "')");

        // Начисление баллов за активность
        include_once H . 'sys/add/user.active.php';

        /*
          ==========================
          Уведомления об ответах
          ==========================
         */

        if (isset($ank_reply['id'])) {
            $notifiacation = dbassoc(dbquery("SELECT * FROM `notification_set` WHERE `id_user` = '" . $ank_reply['id'] . "' LIMIT 1"));

            if ($notifiacation['komm'] == 1 && $ank_reply['id'] != $user['id']) {
                dbquery("INSERT INTO `notification` (`avtor`, `id_user`, `id_object`, `type`, `time`) VALUES ('$user[id]', '$ank_reply[id]', '$news[id]', 'news_komm', '$time')");
            }
        }

        $_SESSION['message'] = __('Ваш комментарий успешно принят');
        header('Location: ?news=' . intval($_GET['news']) . '&page=' . intval($_GET['page']));
        exit;
    }
}


$set['title'] = __('Новости') . ' - ' . text($news['title']);

include_once '../sys/inc/thead.php';

err();

echo '<div class="ui segments">';
// Название
echo '<div class="ui segment" id="news_title">';
echo '<h3> ' . text($news['title']) . '</h3>';
echo '</div>';

// Текст новости
echo '<div class="ui segment" id="news_content">';
echo output_text($news['msg']);

#Изображение, если есть
if (is_file(H . 'news/images/' . $news['id'] . '.png')) {
    echo "<br /><img src='" . DIR_NEWS . "images/$news[id].png' class='ui image' alt=''><br />";
}

if ($news['tags']) {
    echo "<br /><i class='mdi mdi-tag'></i> " . __('Теги') . ": ";
    $tagss = explode(',', $news['tags']);
    for ($i = 0; $i < count($tagss); $i++) {
        echo "<a href='" . DIR_NEWS . "tags.php?tag=$tagss[$i]' data-position='top center' data-tooltip='" . __('Искать метку') . " $tagss[$i]'>$tagss[$i]</a>, ";
    }
    echo "<br />";
}
// Автор 
echo "<small style='color:grey'>";
if ($news['link'] != NULL) {
    echo '' . __('Источник') . ': <a href="' . htmlentities($news['link'], ENT_QUOTES, 'UTF-8') . '">' . htmlentities($news['link'], ENT_QUOTES, 'UTF-8') . '</a><br />';
}
echo __('Автор') . ': ' . user::nick($author['id']);
echo "</small>";
echo "</div>";

// Мне нравится и автор
echo '<div class="ui segment" id="like">';
if (isset($user) && dbresult(dbquery("SELECT COUNT(*) FROM `like_object` WHERE `id_object` = '$news[id]' AND `type` = 'news' AND `id_user` = '$user[id]'"), 0) == 0) {
    echo '<a href="?id=' . $news['id'] . '&amp;like=1" class="ui basic label"><i class="mdi mdi-heart-outline"></i> ' . __('Мне нравится') . '</a> ';
    echo '<a href="?id=' . $news['id'] . '&amp;like=0" class="ui basic label"><i class="mdi mdi-thumb-down"></i></a>';
} else {
    echo '<span class="ui basic label"><i class="mdi mdi-thumb-up"></i> ' . dbresult(dbquery("SELECT COUNT(*) FROM `like_object` WHERE `id_object` = '$news[id]' AND `type` = 'news' AND `like` = '1'"), 0) . '</span> ';
    echo '<span class="ui basic label"><i class="mdi mdi-thumb-down"></i> ' . dbresult(dbquery("SELECT COUNT(*) FROM `like_object` WHERE `id_object` = '$news[id]' AND `type` = 'news' AND `like` = '0'"), 0) . '</span>';
}

echo '<br />';

echo '</div>';

// Кнопки соц сетей
echo '<div class="ui segment" id="news_share">';
echo __('Поделится') . ':<script type="text/javascript" src="//yandex.st/share/share.js" charset="utf-8"></script>
<span class="yashare-auto-init" data-yashareL10n="ru" data-yashareType="none" data-yashareQuickServices="vkontakte,twitter,odnoklassniki,moimir"></span>';
echo '</div>';

// Панелька управления
if (user_access('adm_news')) {
    echo '<div class="ui segment" id="news_edit">';
    echo "<a href='index.php?edit=$news[id]' class='ui basic label'><i class='mdi mdi-cog'></i> " . __('Редактировать') . "</a>";
    echo "<a href='delete.php?news_id=$news[id]' class='ui basic label'><i class='mdi mdi-delete'></i> " . __('Удалить') . "</a>";
    echo '</div>';
}

echo '<div class="ui secondary segment" id="news_komm">';
echo __('Комментарии') . ':';
echo '</div>';

if (isset($user) && $news['close'] == 1) {
    echo "<div class='ui blue2 segment'>";
    echo "<i class='mdi mdi-lock'></i> " . __('Обсуждение запрещено');
    echo "</div>";
}

// Колличество комментариев
$k_post = dbresult(dbquery("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '" . intval($_GET['news']) . "' "), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

// Выборка постов
$q = dbquery("SELECT * FROM `news_komm` WHERE `id_news` = '" . intval($_GET['news']) . "' ORDER BY `id` $sort LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    echo '<div class="ui segment" id="no_object">';
    echo "<i class='mdi mdi-layers-outline'></i> " . __('Нет результатов');
    echo '</div>';
} else {
    /* ------------сортировка по времени-------------- */
    if (isset($user)) {
        echo "<div class='ui horizontal segments'>";
        echo "<a href='?id=$news[id]&amp;page=$page&amp;sort=1' class='ui segment' " . ($user['sort'] == 1 ? 'style="border-bottom: 2px solid grey" ' : '') . ">" . __('Внизу') . "</a>";
        echo "<a href='?id=$news[id]&amp;page=$page&amp;sort=0' class='ui segment' " . ($user['sort'] == 0 ? 'style="border-bottom: 2px solid grey" ' : '') . ">" . __('Вверху') . "</a>";
        echo "</div>";
    }
}


while ($post = dbassoc($q)) {
    $ank = dbassoc(dbquery("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

    echo '<div class="ui segment">';

    echo group($ank['id']) . user::nick($ank['id']);

    echo medal($ank['id']) . online($ank['id']) . ' <small style="float:right;color:grey">' . date::times($post['time']) . '</small><br />';

    echo output_text($post['msg']) . '<br />';

    if ($post['time_edit'] != 0) {
        #Показываем последнее редактирование
        $admin = dbassoc(dbquery("SELECT `id`, `nick` FROM `user` WHERE `id` = $post[id_user_edit]"));

        echo "<small style='color: green;'>" . __('обновлено') . " $admin[nick] (" . date::timek($post['time_edit']) . ")</small><br />";
    }
    if (isset($user) && $user['id'] != $ank['id']) {
        echo '<small>';
        echo ' <a href="?news=' . $news['id'] . '&amp;page=' . $page . '&amp;response=' . $ank['id'] . '"><i class="mdi mdi-pencil"></i> ' . __('Ответить') . '</a> &ensp; ';
        echo '</small>';
    }

    if ($user['level'] > 2 || $user['id'] == $post['id_user'] && $post['time'] > time() - 600) {
        echo '<small>';
        echo "<a href='?edit_komm=$post[id]'><i class='mdi mdi-pencil-box-outline'></i> " . __('Редактировать') . "</a> &ensp;";
        echo '</small>';
    }
    if (isset($user) && ($user['level'] > $ank['level'] || $user['level'] != 0 && $user['id'] == $ank['id'])) {
        echo '<small>';
        echo '<a href="delete.php?id=' . $post['id'] . '"><i class="mdi mdi-delete"></i> ' . __('Удалить') . '</a> &ensp; ';
        echo '</small>';
    }


    echo '</div>';
}


// Вывод страниц
if ($k_page > 1) {
    str("news.php?id=" . intval($_GET['news']) . '&amp;', $k_page, $page);
}

// Форма для комментариев
if (isset($user) && $news['close'] == 0) {
    echo '<form method="post" name="message" class="ui form segment" action="?news=' . intval($_GET['news']) . '&amp;page=' . $page . REPLY . '">';

    echo '<textarea name="msg" required>' . $insert . '</textarea><br /><br />';
    echo "<button class='ui compact blue labeled icon button'><i class='mdi mdi-check icon'></i> " . __('Опубликовать') . "</button>\n";
    echo '</form>';
} elseif (!$user) {
    echo "<div class='ui segment'>";
    echo __('Для того, чтобы комментировать - Вам необходимо авторизоваться или зарегистрироваться');
    echo "</div>";
}


echo '<div class="ui segment">';
echo '<a href="index.php"><i class="mdi mdi-chevron-double-left"></i> ' . __('К новостям') . '</a>';
echo '</div>';
echo '</div>';

include_once '../sys/inc/tfoot.php';
?>